/*
__________________________________________________________________________

                    Page contact
__________________________________________________________________________
 */
body {
    background-image: url('../ressources/images/paysage-landes.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.contact {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 100px 150px;
}


.contact h2 {
    color: rgba(0, 0, 0, 0.712);
    font-size: clamp(28px, 4vw, 60px);
    position: relative;
    cursor: default;
    font-family: 'Original Surfer', cursive;
    margin-bottom: 25px;
}

.contact .sous-titre {
    color: rgb(255, 255, 255);
    font-size: clamp(25px, 4vw, 35px);
    position: relative;
    cursor: default;
    font-family: 'Original Surfer', cursive;
    margin-bottom: 50px;
    text-align: center;
}

.contact-form {
    display: flex;
    flex-direction: column;
    max-width: 600px;
    margin: auto;
    padding: 20px;
    background-color: #f9f9f9;
    border-radius: 8px;
    box-shadow: rgba(9, 30, 66, 0.25) 0px 4px 8px -2px, rgba(9, 30, 66, 0.08) 0px 0px 0px 1px;
}

.form-group {
    margin-bottom: 15px;
}

label {
    margin-bottom: 5px;
    font-weight: bold;
}

input[type="text"],
input[type="email"],
textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 16px;
}

.submit-button {
    padding: 10px 15px;
    border: none;
    border-radius: 4px;
    background-color: #2C6969;
    color: white;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.submit-button:hover {
    background-color: #2188379a;
}

@media (max-width: 600px) {
    .contact-form {
        padding: 15px;
    }

    .submit-button {
        width: 100%;
    }

    .contact {
        padding: 100px 50px;
    }
}